=== modified file 'plugins.d/mandos-client.c'
--- plugins.d/mandos-client.c	2011-11-11 15:05:27 +0000
+++ plugins.d/mandos-client.c	2011-11-11 20:19:01 +0000
@@ -1608,10 +1608,34 @@
 	dup2(devnull, STDIN_FILENO);
 	close(devnull);
 	dup2(STDERR_FILENO, STDOUT_FILENO);
-	setenv("DEVICE", interface, 1);
-	setenv("VERBOSE", debug ? "1" : "0", 1);
-	setenv("MODE", "start", 1);
-	/* setenv( XXX more here */
+	ret = setenv("DEVICE", interface, 1);
+	if(ret == -1){
+	  perror_plus("setenv");
+	  exit(1);
+	}
+	ret = setenv("VERBOSE", debug ? "1" : "0", 1);
+	if(ret == -1){
+	  perror_plus("setenv");
+	  exit(1);
+	}
+	ret = setenv("MODE", "start", 1);
+	if(ret == -1){
+	  perror_plus("setenv");
+	  exit(1);
+	}
+	char *delaystring;
+	ret = asprintf(&delaystring, "%f", delay);
+	if(ret == -1){
+	  perror_plus("asprintf");
+	  exit(1);
+	}
+	ret = setenv("DELAY", delaystring, 1);
+	if(ret == -1){
+	  free(delaystring);
+	  perror_plus("setenv");
+	  exit(1);
+	}
+	free(delaystring);
 	ret = execl(fullname, direntry->d_name, "start", NULL);
 	perror_plus("execl");
       }

